org.apache.sysds.runtime.matrix.data

## Class WeightedCell

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.MatrixValue
  - - org.apache.sysds.runtime.matrix.data.MatrixCell
    - - org.apache.sysds.runtime.matrix.data.WeightedCell

All Implemented Interfaces:
  Serializable, Comparable, org.apache.hadoop.io.Writable, org.apache.hadoop.io.WritableComparable

Direct Known Subclasses:
  WeightedPair

    public class WeightedCell
    extends MatrixCell

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.matrix.data.MatrixValue

`MatrixValue.CellIndex`

### Constructor Summary

Constructors
Constructor and Description
`WeightedCell()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixValue` `aggregateUnaryOperations(AggregateUnaryOperator op, MatrixValue result, int blen, MatrixIndexes indexesIn)`
`int` `compareTo(Object o)`
`void` `copy(MatrixValue that)` Copy that MatrixValue into this MatrixValue.
`void` `denseScalarOperationsInPlace(ScalarOperator op)`
`boolean` `equals(Object o)`
`double` `getValue()`
`double` `getWeight()`
`int` `hashCode()`
`void` `readFields(DataInput in)`
`MatrixValue` `reorgOperations(ReorgOperator op, MatrixValue result, int startRow, int startColumn, int length)`
`MatrixValue` `scalarOperations(ScalarOperator op, MatrixValue result)`
`void` `setWeight(double w)`
`void` `sparseScalarOperationsInPlace(ScalarOperator op)`
`void` `sparseUnaryOperationsInPlace(UnaryOperator op)`
`String` `toString()`
`MatrixValue` `unaryOperations(UnaryOperator op, MatrixValue result)`
`void` `write(DataOutput out)`

### Methods inherited from class org.apache.sysds.runtime.matrix.data.MatrixCell

`aggregateUnaryOperations, append, binaryOperations, binaryOperationsInPlace, compareTo, copy, ctableOperations, ctableOperations, ctableOperations, ctableOperations, ctableOperations, getNonZeros, getNumColumns, getNumRows, getValue, incrementalAggregate, incrementalAggregate, isEmpty, isInSparseFormat, replaceOperations, reset, reset, reset, reset, reset, setValue, setValue, slice, zeroOutOperations`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WeightedCell

    public WeightedCell()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### readFields

    public void readFields(DataInput in)
                    throws IOException

Specified by:
  `readFields` in interface `org.apache.hadoop.io.Writable`
Overrides:
  `readFields` in class `MatrixCell`
Throws:
  `IOException`

#### write

    public void write(DataOutput out)
               throws IOException

Specified by:
  `write` in interface `org.apache.hadoop.io.Writable`
Overrides:
  `write` in class `MatrixCell`
Throws:
  `IOException`

#### copy

    public void copy(MatrixValue that)

Description copied from class: `MatrixValue`
Copy that MatrixValue into this MatrixValue. If the MatrixValue is a MatrixBlock evaluate the sparsity of the original matrix, and copy into either a sparse or a dense matrix.

Overrides:
  `copy` in class `MatrixCell`
Parameters:
  `that` - object to copy the values into.

#### compareTo

    public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`
Overrides:
  `compareTo` in class `MatrixCell`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `MatrixCell`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `MatrixCell`

#### setWeight

    public void setWeight(double w)

#### getWeight

    public double getWeight()

#### getValue

    public double getValue()

Overrides:
  `getValue` in class `MatrixCell`

#### aggregateUnaryOperations

    public MatrixValue aggregateUnaryOperations(AggregateUnaryOperator op,
                                                MatrixValue result,
                                                int blen,
                                                MatrixIndexes indexesIn)

Overrides:
  `aggregateUnaryOperations` in class `MatrixCell`

#### denseScalarOperationsInPlace

    public void denseScalarOperationsInPlace(ScalarOperator op)

Overrides:
  `denseScalarOperationsInPlace` in class `MatrixCell`

#### reorgOperations

    public MatrixValue reorgOperations(ReorgOperator op,
                                       MatrixValue result,
                                       int startRow,
                                       int startColumn,
                                       int length)

Overrides:
  `reorgOperations` in class `MatrixCell`

#### scalarOperations

    public MatrixValue scalarOperations(ScalarOperator op,
                                        MatrixValue result)

Overrides:
  `scalarOperations` in class `MatrixCell`

#### sparseScalarOperationsInPlace

    public void sparseScalarOperationsInPlace(ScalarOperator op)

Overrides:
  `sparseScalarOperationsInPlace` in class `MatrixCell`

#### sparseUnaryOperationsInPlace

    public void sparseUnaryOperationsInPlace(UnaryOperator op)

Overrides:
  `sparseUnaryOperationsInPlace` in class `MatrixCell`

#### unaryOperations

    public MatrixValue unaryOperations(UnaryOperator op,
                                       MatrixValue result)

Overrides:
  `unaryOperations` in class `MatrixCell`